#!/bin/sh

if [ $(/usr/bin/id -u) -ne 0 ]; then
	echo "Run this script with sudo"
	exit 2
fi

modprobe fifo_ra
modprobe rma
modprobe hvdf
modprobe gfifo
modprobe grma
modprobe ggua

echo -1 > /proc/sys/kernel/sched_rt_runtime_us

./sched_fifo_test $1
sleep 1
./sched_single_test $1
sleep 1
./sched_partitioned_test $1
sleep 1
./sched_concurrent_test $1
sleep 1
./sched_stw_test $1
sleep 1
./futex_single_test $1
sleep 1
./pi_single_test $1
sleep 1
./pi_global_test $1
sleep 1
./abort_test $1
sleep 1
./deadlock_test $1
sleep 1
./syscall_safety_test $1
sleep 1
./C_linking_test $1
