#include "samples.h"

int main(int argc, char* argv[])
{
	unsigned long long time1, time2, time3, timeu[1000], timen[1000];
	struct stat_data ttimeu, ttimen;
	struct timespec sleep;

	sleep.tv_sec = 0;

	if(prep_test())
		return 1;

	cout << "Time\t usleep() \tnanosleep()" << endl;

	for(int i = 1; i <= 10000; i *= 10) {
		for(int j = 0; j < 1000; j++) {
			sleep.tv_nsec = i * 1000;
			time1 = RDTSC();
			usleep(i);
			time2 = RDTSC();
			nanosleep(&sleep, NULL);
			time3 = RDTSC();
			timeu[j] = (time2 - time1);
			timen[j] = (time3 - time2);
		}

		selection_sort(timeu, 1000);
		selection_sort(timen, 1000);

		ttimeu = stats(timeu, 990);
		ttimen = stats(timen, 990);

		cout << i << "us\t" << stat_print(ttimeu) << "\t" << stat_print(ttimen) << endl;
	}

	return 0;
}

