package edu.vt.realtime.testing;

public enum Priorities{
        MAIN(51),
        TASK_CREATE(45),
        TASK_CLEANUP(44),
        TASK_RUN(40);

        private final int nativeId;
        private Priorities(final int nativeId) {
                this.nativeId = nativeId;
        }
        public final String displayString() {
                return this.name() + "(" + this.nativeId + ")";
        }
        public int getNativeId() {
                return nativeId;
        }

}
